# NOTE: This requres mod_headers, mod_rewrite, mod_php, mod_deflate, mod_mime
DocumentRoot /var/www/dragon.best

AddType text/plain .gpl

<Directory "/var/www/dragon.best/private/">
    Order deny,allow
    Deny from all
    php_flag engine off
</Directory>

<Directory "/var/www/dragon.best/media/">
    Order allow,deny
    Allow from all
    php_flag engine off
    AddOutputFilterByType DEFLATE image/svg+xml text/css text/javascript application/javascript
</Directory>

php_flag engine on
Options -Indexes

RewriteEngine on
RewriteOptions inherit

# Force download on media files fetched with ?download
RewriteCond %{DOCUMENT_ROOT}%{REQUEST_URI} -f
RewriteCond %{REQUEST_URI} ^/media/
RewriteCond %{QUERY_STRING} download
RewriteRule .* - [L,P,E=DOWNLOAD_FILE:1]
Header set Content-Disposition attachment env=DOWNLOAD_FILE

# Only allow files in /media/ to be served directly
# Everything else goes to the entry page
RewriteCond %{REQUEST_URI} !^/media/ [OR]
RewriteCond %{DOCUMENT_ROOT}%{REQUEST_URI} -d
RewriteRule .* /site.php [END]

# Ensure we are using the entry point for apache-generated error pages
ErrorDocument 301 /site.php
ErrorDocument 302 /site.php

ErrorDocument 400 /site.php
ErrorDocument 401 /site.php
ErrorDocument 403 /site.php
ErrorDocument 404 /site.php

ErrorDocument 500 /site.php
ErrorDocument 502 /site.php
ErrorDocument 504 /site.php
